<!-- this template renders the main navigational page for the management of the dhcpvs module. It should provide
personalised information for the user based on the ranges that he/she manages -->

<!-- This template needs the following objects from python:

    ranges -> list

    dhcpdataofrange[range] -> [[ip, mac, name],[ip, mac, name], ...]
        this list should only contain active IP addrs

-->

<!-- Display all the ranges beside each other with a button leading to the full listing -->
{% extends 'base.html' %}
{% block body %}
    <!--Build multiple tables underneath each other with the information of the active macs of every range-->
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>IP</th>
                <th>MAC</th>
                <th>Hostname</th>
            </tr>
            </thead>
            <tbody>
            {% if leases %}
                {% for data_entry in leases %}
                    <tr>
                        <td>
                            <code>{{ data_entry['ip'] }}</code>
                        </td>
                        <td>
                            <code>{{ data_entry['mac'] }}</code>
                            {% if area.vlan %}
                                <a target="_blank" href="{{ url_for('macfinder.main', pre_mac=data_entry['mac'], pre_vlan=area.vlan.id) }}">[MACFinder]</a>
                            {% endif %}
                            <a target="_blank" href="{{ url_for('dnsvs.create_rr_data', area=area.name, suffix=area.suffix, type='A', description=data_entry['mac'] + ' ' + data_entry['name'], rr_data=data_entry['ip']) }}">[In DNSVS eintragen]</a>
                        </td>
                        <td>
                            {{ data_entry['name'] }}
                        </td>
                    </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td colspan="3"><i>Keine Daten vorhanden</i></td>
                </tr>
            {% endif %}

            </tbody>
        </table>
    </div>
{% endblock body %}